<template>
    <div>
        <template v-if="children">
            <router-link
                v-for="(child, index) in children" :key="index"
                :to="'/works/' + child.path"
            >
                {{ child.name }}
            </router-link>
        </template>
        <div class="works-view">
            <router-view />
        </div>
    </div>
</template>

<script>
// @ is an alias to /src
import children from './children'

export default {
    data() {
        return {
            children,
        }
    },
    mounted() {
    },
}
</script>
<style lang="scss">
    .works-view {
        @include size(900px);
        margin: 20px auto;
        max-width: 100%;
    }
</style>
